var k = [];
var spawned = -3; for (var i = 0; i < spawnedEntities.length; i++) {var ent = spawnedEntities[i];
ent.setAttackStrength(ent.getAttackStrength()*-spawned); spawned = 0;}

for (var i = 0; i < spawnedEntities.length; i++) {k[i] = 0;}

function drop(ent) {
    var heartChance = (player.getMaxHealth() / player.getHealth()) / 10;
    if (player.getHealth() == player.getMaxHealth()) {
        heartChance = 0;
    }
    if (Math.random() <= heartChance || player.getHealth() < 12) {
    }
    var rand = Math.floor(Math.random() * 20);
    switch (rand) {
    case 0:
    case 1:
    case 2: //3 in 20 chance for two Strings(placeholder for currency)
        ent.dropItem(Item(287, 2));
        break;
    case 3: //1 in 2.5 chance for one String(placeholder for currency)
    case 4:
    case 5:
    case 6:
    case 7:
    case 8:
    case 9:
    case 10:
        ent.dropItem(Item(287));
        break;
    }
    return;
}